Subject: Re: [bug#26602] Add aegisub

From: julien lepiller <[email-masked]>
Date: Thu, 19 Oct 2017 12:05:25 +0200

Le 2017-10-19 00:55, Ricardo Wurmus a écrit :
> Hi Julien,
> 
> Ludovic Courtès <[email-masked]> writes:
> 
>> Julien Lepiller <[email-masked]> skribis:
>> 
>>> Le Sun, 18 Jun 2017 13:13:22 +0200,
>>> Ricardo Wurmus <[email-masked]> a écrit :
>>> 
>>>> Hi Julien,
>>>> 
>>>> > here are three patches to add aegisub, a subtitle editor.
>>>> 
>>>> have you been able to implement the changes suggested by Leo?  I 
>>>> think
>>>> it would be nice to add aegisub.
>>>> 
>>> 
>>> Yes, but now it doesn't build anymore. I get this error:
>>> 
>>> ld: 
>>> /tmp/guix-build-aegisub-wip-3.2.2.drv-0/aegisub-3.2.2/lib/libaegisub.a(dispatch.o):
>>> undefined reference to symbol
>>> 'pthread_create@@GLIBC_2.2.5' 
>>> /gnu/store/rmjlycdgiq8pfy5hfi42qhw3k7p6kdav-glibc-2.25/lib/libpthread.so.0:
>>> error adding symbols: DSO missing from command line collect2: error: 
>>> ld
>>> 
>>> Any idea ?
>> 
>> Perhaps you need to add “-pthread” to the command line that led to 
>> this
>> error?
> 
> Have you been able to try this yet?

Oh yes, it works and I forgot about it. I think I will finally push it 
this week-end, although I still can't hear any sound from aegisub in 
GuixSD, and it crashes when I try to select pulseaudio in the 
parameters...